polkit-gnome-0.105

Introduction à Polkit GNOME

Le paquet polkit-gnome fournit un agent d'authentification pour polkit qui s'intègre bien à l'environnement de bureau GNOME.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de Polkit GNOME

Requises

GTK+-3.24.14 et Polkit-0.116

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/polkit-gnome

Installation de Polkit GNOME

Installez Polkit GNOME en lançant les commandes suivantes :

./configure --prefix=/usr &&
make

Ce paquet n'est pas fourni avec une suite de tests.

Maintenant, en tant qu'utilisateur root :

make install

Configuration de polkit-gnome

Démarrage automatique

Pour que le moteur d'authentification fonctionne correctement, la commande polkit-gnome-authentification-agent-1 a besoin d'être lancée. Cependant, make install n'ayant pas installé un fichier de démarrage automatique pour Polkit GNOME vous devez le créer vous-même.

Tapez les commandes suivantes en tant qu'utilisateur root pour créer un fichier de démarrage pour polkit-gnome :

mkdir -p /etc/xdg/autostart &&
cat > /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop << "EOF"
[Desktop Entry]
Name=PolicyKit Authentication Agent
Comment=PolicyKit Authentication Agent
Exec=/usr/libexec/polkit-gnome-authentication-agent-1
Terminal=false
Type=Application
Categories=
NoDisplay=true
OnlyShowIn=GNOME;XFCE;Unity;
AutostartCondition=GNOME3 unless-session gnome
EOF

Contenu

Programme installé: polkit-gnome-authentication-agent-1
Bibliothèques installées: Aucune
Répertoire installé: Aucune

Descriptions courtes

polkit-gnome-authentication-agent-1

est l'agent d'authentification Polkit.

Last updated on 2020-02-17 20:12:55 +0000